Update Snap paths

- used to detect user attempting to patch snap client
This commit is contained in:
jetfir3
2024-03-06 12:31:31 -05:00
committed by GitHub
parent 1797fc3b33
commit c91681a49e

View File

@@ -188,7 +188,7 @@ linux_set_path () {
[[ -d "${installPath}" ]] && echo -e "Found Spotify Directory: ${installPath}\n" || [[ -d "${installPath}" ]] && echo -e "Found Spotify Directory: ${installPath}\n" ||
{ echo -e "${red}Error:${clear} Spotify directory not found.\nSet directory path with '-P' flag.\n" >&2; exit 1; } { echo -e "${red}Error:${clear} Spotify directory not found.\nSet directory path with '-P' flag.\n" >&2; exit 1; }
else else
[[ "${installPath}" == *"/snap/"* ]] && { echo -e "${red}Error:${clear} Snap client is not supported by SpotX-Bash.\nReview the FAQ for more info.\n" >&2; exit 1; } { [[ "${installPath}" == *"snapd/snap"* ]] || [[ "${installPath}" == *"snap/spotify"* ]] || [[ "${installPath}" == *"snap/bin"* ]]; } && { echo -e "${red}Error:${clear} Snap client is not supported by SpotX-Bash.\nReview the FAQ for more info.\n" >&2; exit 1; }
[[ -f "${installPath}/Apps/xpui.spa" ]] && echo -e "Using Spotify Directory: ${installPath}\n" || [[ -f "${installPath}/Apps/xpui.spa" ]] && echo -e "Using Spotify Directory: ${installPath}\n" ||
{ echo -e "${red}Error:${clear} Spotify not found in path set by '-P'.\nConfirm directory and try again.\n" >&2; exit 1; } { echo -e "${red}Error:${clear} Spotify not found in path set by '-P'.\nConfirm directory and try again.\n" >&2; exit 1; }
fi fi